import { Observable, Subject } from "rxjs"
import { AdapterInterface, AdapterManagerInterface, GeneralEvent, TransmissionRole, TransportServiceInterface } from "../interface/interface"
import ConsoleLogger from "../utils/log.utils"

export class AdapterManagerBase implements AdapterManagerInterface {
    protected console!: ConsoleLogger 
    protected browserEnv!: boolean
    protected event!: Subject<GeneralEvent<any>>
    protected transportServiceArray: TransportServiceInterface[] = []
    protected adapters: AdapterInterface[] = []

    constructor() {
        // logic here
    }

    subscribeForAdapters(receiverId: string, role: TransmissionRole): Observable<AdapterInterface> {
        throw new Error("Method not implemented.")
    }

}



